{% extends "base.html" %}
{% load poly_custom_extra %}

{% block content %}
    <h2>People</h2>
        {% for series in object_list %}
        <div>
            <h2>{{ series.name }}</h2>

            <ul>
            {% for part_link in series.has_parts.all %}
                <li>{{ part_link.has_part.name }} - {{ part_link.get_real_instance_class | to_verbose_class_name | title }} - {{ part_link.has_part.get_real_instance_class | to_verbose_class_name | title }}</li>
            {% endfor %}
            </ul>

             <ul>
            {% for season in series.seasons %}
                <li>{{ season.name }} - {{ season.get_real_instance_class | to_verbose_class_name | title }}</li>
            {% endfor %}
            </ul>

            <div>
            {% for season in series.seasons %}
                <h4>{{ season.name }} - {{ season.get_real_instance_class | to_verbose_class_name | title }} - {{ season | to_verbose_class_name | title }}</h4>
                <p>Part of series: {{ series.name }}</p>
                <p>Episodes in season:</p>
                <ul>
                {% for episode in season.has_parts.all %}
                     <li>{{ episode.has_part.name }} - {{ episode.has_part.get_real_instance_class | to_verbose_class_name | title }}</li>
                {% endfor %}
                </ul>
            {% endfor %}
            </div>


        </div>
        {% endfor %}

{% endblock %}